Bug 1616201 - Report view limit not working
Summary: Report view limit not working
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.8.4
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: GA
: 5.10.0
Assignee: Robin Knaur
QA Contact: Parthvi Vala
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-08-15 09:02 UTC by Parthvi Vala
Modified: 2019-02-07 23:03 UTC (History)
8 users (show)

Fixed In Version: 5.10.0.20
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 23:03:31 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:03:38 UTC

Description Parthvi Vala 2018-08-15 09:02:37 UTC
Description of problem:
Setting the view limit for reports is not working.

Version-Release number of selected component (if applicable):
5.8.4.5.20180618175258_5bee58a 

How reproducible:
100%

Steps to Reproduce:
1. Go to My Settings > Visual.
2. Inside 'Default Items Per Page', set 'Reports' limit to anything except 20.
3. Go to Cloud Intel > Reports > Saved Reports > All Saved Reports.
4. If there aren't any saved reports, queue a report.
5. On the `All Saved Reports`, check the paginator - value remains 20. 

Actual results:
Items per page value remains 20.

Expected results:
Items per page value must change according to the report limit.

Additional info:
Changing the List View limit reflects the result on Saved Reports page.

Comment 3 Parthvi Vala 2018-08-15 13:21:54 UTC
Note: I have tested this bug 5.9 and 5.10 and it exists on those builds as well.

Comment 8 CFME Bot 2018-10-16 09:31:44 UTC
New commit detected on ManageIQ/manageiq-ui-classic/master:

https://github.com/ManageIQ/manageiq-ui-classic/commit/fb2ae5a715e8486065b289968829c06845eccf82
commit fb2ae5a715e8486065b289968829c06845eccf82
Author:     PanSpagetka <rknaur@redhat.com>
AuthorDate: Tue Oct  9 09:55:44 2018 -0400
Commit:     PanSpagetka <rknaur@redhat.com>
CommitDate: Tue Oct  9 09:55:44 2018 -0400

    Use report default options for Report screens
    https://bugzilla.redhat.com/show_bug.cgi?id=1616201

 app/controllers/application_controller.rb | 9 +-
 1 file changed, 8 insertions(+), 1 deletion(-)

Comment 9 CFME Bot 2018-10-16 13:33:56 UTC
New commit detected on ManageIQ/manageiq-ui-classic/hammer:

https://github.com/ManageIQ/manageiq-ui-classic/commit/e66bb6f1836fa8cc77026becebe4e9bf98a52acb
commit e66bb6f1836fa8cc77026becebe4e9bf98a52acb
Author:     Milan Zázrivec <mzazrivec@redhat.com>
AuthorDate: Tue Oct 16 05:29:11 2018 -0400
Commit:     Milan Zázrivec <mzazrivec@redhat.com>
CommitDate: Tue Oct 16 05:29:11 2018 -0400

    Merge pull request #4749 from PanSpagetka/bz-1616201

    Use report default options for Report screens

    (cherry picked from commit 7edf69510d8984e533f9d7fab0e615854db6f28c)

    https://bugzilla.redhat.com/show_bug.cgi?id=1616201

 app/controllers/application_controller.rb | 9 +-
 spec/controllers/application_controller/report_data_spec.rb | 7 +
 2 files changed, 15 insertions(+), 1 deletion(-)

Comment 10 Parthvi Vala 2018-10-17 08:04:59 UTC
FIXED. Verified on 5.10.0.20.20181016163900_fe677b4.

Comment 11 errata-xmlrpc 2019-02-07 23:03:31 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.